Home v2 Mobile via Page Template – Electro Documentation

Skip to content

# Home v2 Mobile via Page Template

## Edit Page Screen

Following are the steps to create Home v2 Mobile using page template :

- Create a new page from Pages > Add New
- In the Page Attributes meta box that is usually present below the Publish meta box, choose the page template as Homepage Mobile v2 and click on Publish or Save Draft
- You can now view this saved page and it will load Homepage Mobile v2 template with its default values
- When the page reloads, you will have the Mobile Home v2 options to help you configure the blocks in Home v2 Mobile

## Page Content

Output
Settings
The Page content area is the WordPress editor area which is empty by default. This is because Home v2 Mobile content is loaded via Homepage Mobile v2 template and is configurable via Mobile Home v1 Options. Any content added to the content area is not loaded by default. It needs to be enabled from Mobile Home v1 Options > General > Page Content. Once you enable it the content from the editor area will be loaded the order is determined by the priority number given.

## Mobile Home v2 Options

### General

The General Tab lists all available blocks for Home v2 Mobile. It also has options to enable/disable each block and determine each blocks order of appearance in the page.

### Slider

Output
Settings

- Slider Shortcode – Enter the shortcode for your slider – Default: [rev_slider alias=”home-v2-slider”]

### Ads Block

Output
Settings

- Ad Text – Enter the ads block text – Default: Catch Big
  Deals on the Cameras
- Action Text – Enter the ads block button text – Default: Shop now
- Action Link – Enter the URL for the ads block button – Default: #
- Ad image – Upload image for ads block
- Extra Class – Additional class name for this block

### Deals Product Block

Output
Settings

- Section Title – Enter section title – Default: Deals of the Day
- Products – Select the products to be displayed – Default: Sale Products
- Limit – Enter the number of products to be displayed – Default: 4
- Columns – Enter the number of product columns to be displayed – Default: 1
- Orderby – Choose the order of your products, either by date, id, menu order, popularity, rand, rating and title. The title will arrange it based on the alphebetical order. – Default: Date
- Order – Choose the products to be displayed either in Ascending or Descending Order – Default: ASC
- Timer Title – Enter timer title – Default: ends in
- Header Timer? – Enable/disable header timer
- Timer Value – Enter timer value – Default: +8 hours

### Product List Block-1

Output
Settings

- Section Title – Enter section title – Default: Bestsellers
- Enable Categories – Enable/disable categories for this block
- Categories Title – Enter category title – Default: Top 20
- Category Slug – Enter categories that should be displayed in the block
- Order By – Field name by which the categories should be ordered. Default: name
- Order – Ascending or descending. Default: ASC
- Limit – Total number of categories to show. Default: 3
- Hide Empty? – Enable/disable if you would like to hide the category or not.
- Products – Choose the products to be displayed – Default: Featured Products
- Limit – Enter the number of products to be displayed – Default: 6
- Columns – Enter the number of product columns to be displayed – Default: 3
- Orderby – Choose the order of your featured products, either by date, id, menu order, popularity, rand, rating and title. The title will arrange it based on the alphebetical order. – Default: Date
- Order – Choose the featured products to be displayed either in Ascending or Descending Order – Default: ASC
- Action Text – Enter the action text – Default: Show more
- Action Link – Enter the action text URL – Default: #

### Product Categories List

Output
Settings

- Section Title – Enter section title – Default: OFFICE WORKPLACE
- Subtitle – Enter subtitle – Default: PREPARE YOUR
- Background Image – Upload background image
- Enable Header – Enable/disable header for this block
- Category Slug – Enter categories that should be displayed in the block
- Hide Empty? – Enable/disable if you would like to hide the category or not.
- Order By – Field name by which the categories should be ordered. Default: name
- Order – Ascending or descending. Default: ASC
- Limit – Total number of categories to show. Default: 6
- Columns – Categories should be displayed in this many columns. Default: 2

### Product List Block-2

Output
Settings

- Section Title – Enter section title – Default: Smartphones
- Enable Categories – Enable/disable categories for this block
- Categories Title – Enter category title – Default: All Smartphones
- Category Slug – Enter categories that should be displayed in the block
- Order By – Field name by which the categories should be ordered. Default: name
- Order – Ascending or descending. Default: ASC
- Limit – Total number of categories to show. Default: 3
- Hide Empty? – Enable/disable if you would like to hide the category or not.
- Products – Choose the products to be displayed – Default: Recent Products
- Limit – Enter the number of products to be displayed – Default: 6
- Columns – Enter the number of product columns to be displayed – Default: 2
- Orderby – Choose the order of your featured products, either by date, id, menu order, popularity, rand, rating and title. The title will arrange it based on the alphebetical order. – Default: Date
- Order – Choose the featured products to be displayed either in Ascending or Descending Order – Default: ASC
- Action Text – Enter the action text – Default: See all products
- Action Link – Enter the action text URL – Default: #

### Banner

Output
Settings

- Banner Image – Upload banner image
- Link – Enter the URL link for banner

### Recently Viewed

Output
Settings

- Section Title – Enter section title – Default: Recently Viewed

### Features List

Output
Settings

- Feature 1

- Icon – Enter Feature 1 icon – Default: ec ec-transport
- Text – Enter Feature 1 text – Default: Free Delivery from $50

- Feature 2

- Icon – Enter Feature 2 icon – Default: ec ec-customers
- Text – Enter Feature 2 text – Default: 99% Positive Feedbacks

- Feature 3

- Icon – Enter Feature 3 icon – Default: ec ec-returning
- Text – Enter Feature 3 text – Default: 365 days for free return

- Feature 4

- Icon – Enter Feature 4 icon – Default: ec ec-payment
- Text – Enter Feature 4 text – Default: Payment Secure System

- Feature 5

- Icon – Enter Feature 5 icon – Default: ec ec-tag
- Text – Enter Feature 5 text – Default: Only Best Brands

### List Categories

Output
Settings

- Section Title – Title for this section – Default: Tranding Categories
- Action Text – Enter the action text – Default: Show more
- Action Link – Enter the action text URL – Default: #
- Category 1

- Title – Enter title – Default: Mobiles
- Category Slug – Enter categories that should be displayed in the block
- Order By – Field name by which the categories should be ordered. Default: name
- Order – Ascending or descending. Default: ASC
- Limit – Total number of categories to show. Default: 5
- Hide Empty? – Enable/disable if you would like to hide the category or not.

- Category 2

- Title – Enter title – Default: Games
- Category Slug – Enter categories that should be displayed in the block
- Order By – Field name by which the categories should be ordered. Default: name
- Order – Ascending or descending. Default: ASC
- Limit – Total number of categories to show. Default: 5
- Hide Empty? – Enable/disable if you would like to hide the category or not.

###### Contents

- Welcome
- Getting Started
  - Introduction
  - Whats new in 2.0 ?
  - Upgrading from v1.x.x
  - Installation
    - Direct Download & Installation
    - Manual Download & Installation
  - Demo Content
    - One Click Demo Import (Recommended)
    - Manual Import
  - Updating the theme
  - Changelog
- Set Up Pages
  - Home v1 Mobile
    - Home v1 Mobile via Page Template
    - Home v1 Mobile via Visual Composer
  - Home v2 Mobile
    - Home v2 Mobile via Page Template
    - Home v2 Mobile via Visual Composer
  - Home v1
    - Home v1 via Elementor
    - Home v1 via Page Template
    - Home v1 via Visual Composer
  - Home v2
    - Home v2 via Elementor
    - Home v2 via Page Template
    - Home v2 via Visual Composer
  - Home v3
    - Home v3 via Elementor
    - Home v3 via Page Template
    - Home v3 via Visual Composer
  - Home v4
    - Home v4 via Elementor
    - Home v4 via Page Template
    - Home v4 via Visual Composer
  - Home v5
    - Home v5 via Elementor
    - Home v5 via Page Template
    - Home v5 via Visual Composer
  - Home v6
    - Home v6 via Elementor
    - Home v6 via Page Template
    - Home v6 via Visual Composer
  - Home v7
    - Home v7 via Elementor
    - Home v7 via Page Template
    - Home v7 via Visual Composer
  - About
  - Contact v1
  - Contact v2
  - FAQ Page
  - Terms & Conditions
  - Store Directory
  - Wishlist
  - Compare
  - Track your Order
- Blocks & Sidebars
  - Header
  - Sidebars
  - Footer
- Set Up Shop
  - Shop
  - Set Up Products
  - Product Attributes
  - Single Product Page
  - Cart
  - My Account
  - Checkout
  - Track Your Order
- Static Blocks
  - Introduction
  - Recommended Products Cards Carousel
  - Pages Megamenu Item
  - Accessories Jumbotron
  - Mobiles & Tablets Megamenu Item
- Navigation
  - General Guidelines
  - Menus & Locations
  - Creating Megamenus
- Theme Options
  - General
  - Shop
  - Header
  - Footer
  - Mobile
  - Navigation
  - Blog
  - Social Media
  - Styling
  - Typography
  - Custom Code
- Elementor Elements
  - Product Categories List With Header Image
  - Products 1-2 Block
  - Product Categories List
  - Product Categories Block
  - Product Carousel Tabs 1
  - Products 6-1 with Categories
  - Products with Categories and Image
  - List Categories Menus
  - Ads With Banners Block
  - Electro Products List Block
  - Electro Products Carousel 1
  - Electro Nav Menu
  - Electro Mobile Deals Product
  - Recently Viewed Products
  - Deals Products Block
  - Electro Deal Products Carousel
  - Electro Products Carousel with Category Tabs
  - Ad Block
  - Electro Brands Carousel
  - Electro Onsale Product
  - Electro Onsale Products Carousel
  - Electro Products Cards Carousel
  - Electro Products Carousel
  - Electro Team Member
  - Feature Block
  - Product 2-1-2 Grid
  - Product 6-1 Grid
  - Product List Categories
  - Products Carousel Tabs
  - Products Tabs
  - Slider with Ads Block
  - Electro Deal and Products Tabs
- Visual Composer Elements
  - Ads With Banners Block
  - Deals Products Block
  - Electro Mobile Deals Product
  - Electro Nav Menu
  - Electro Products Carousel 1
  - Electro Products List Block
  - List Categories Menus
  - Product Carousel Tabs 1
  - Product Categories Block
  - Product Categories List
  - Product Categories List With Header Image
  - Products 1-2 Block
  - Products 6-1 with Categories
  - Products with Categories and Image
  - Recently Viewed Products
  - Electro Deal Products Carousel
  - Electro Products Carousel with Category Tabs
  - Ad Block
  - Electro Brands Carousel
  - Electro Onsale Product
  - Electro Onsale Products Carousel
  - Electro Products Cards Carousel
  - Electro Products Carousel
  - Electro Team Member
  - Feature Block
  - Product 2-1-2 Grid
  - Product 6-1 Grid
  - Product List Categories
  - Products Carousel Tabs
  - Products Tabs
  - Slider with Ads Block
  - Electro Deal and Products Tabs
- Troubleshooting
  - Home Pages
    - Ads block settings is empty
    - Visual Composer does not work with Home pages
  - Installation
    - The link you followed has expired. Please try again.
- Customisations
  - Shop Page
    - Show Product availability in Grid view
    - Show Product thumbnail above product title and categories
    - Show Brand name in Shop Page
- FAQ
  - General
  - Installation & Updates
  - WooCommerce
  - Translations